Name:           multisync
Version:        0.90.18
Release:        5%{?dist}
Summary:        Calendar (and other PIM data) synchronization program

Group:          Applications/Communications
License:        GPL
URL:            http://www.opensync.org
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         multisync-rpath.patch
# this is svn151 with a few fixes
Patch1:         multisync-gui-svn151.patch
Patch2:         multisync-werror.patch
Patch3:         multisync-tool.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel
BuildRequires:  gnome-libs-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libopensync-plugin-evolution2-devel
BuildRequires:  automake

%description
MultiSync is a program to synchronize calendars, addressbooks and other PIM
data between programs on your computer and other computers, mobile devices,
PDAs or cell phones. It is packaged with plugins for Ximian Evolution, IrMC
mobile devices, Opie / Zaurus PDAs, SyncML, ldap and for backup.

%package gui
Summary:  GUI interface for multisync
Group:    Applications/Communications
Requires: %{name} = %{version}-%{release}

%description gui
Graphical User Interface for multisync

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1

%build
# both don't like smp flags so disable them for now

NOCONFIGURE=true ./autogen.sh
%configure --disable-static
%{__make}

# build gui
cd gui
autoreconf -sfi 
%configure --disable-static --disable-rpath
# if we don't do a make clean here we only get a segfaulting binary
%{__make} clean
%{__make}

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
cd gui
%makeinstall

mv $RPM_BUILD_ROOT/%{_bindir}/multisync{0.90,}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/convcard
%{_bindir}/msynctool

%files gui
%defattr(-, root, root,-)
%doc COPYING
%{_bindir}/multisync
%{_datadir}/applications/*desktop

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Mar 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-5
- fix #185631

* Wed Mar 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-4
- fix segfaulting binary
- diff against svn151
- code a little bit for sanity

* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-3
- Add missing desktop file
- Add BR for evolution2 plugin so gui will detect this correctly

* Sat Dec 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-2
- add BR libgnomeui-devel
- comment on missing smp flags

* Tue Nov 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.90.18-1
- user newer version from opensync project
- split gui and cmd line tool

* Thu Aug 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.82-4
- remove devel package altogether
- change Requires

0.82-3
- fedorarized
- install plugins in a more compact way
- add devel package

* Tue Nov 23 2004 Che
- initial rpm release
- decided to not split it for sanity reasons.
- thanks to streeter for the patches. (cheers to rh)
